#include "CMain.hpp"

#ifndef CNPC_HPP
#define CNPC_HPP

#include "CMap.hpp"

class CNpc
{
public:
    CNpc();
   void LoadStats();
    
  	int dir;

	dword x, y;
    int xoff, yoff;
    bool moving;
    int steps;
    bool done;
    
	dword flags;
	byte gfx;
	int id; // holds the text info for the character!
	
	int target; // holds which player the npc is targetting!
	
    bool frame;
    
    void Move(CMap &map, int dir);
    void UpdateMovement();
    void UpdateTargets();
    
    std::string name; // ** Used only in the battle system!
    int dam;
    int hp;
    int ac;
    int exp; // how much experience the player(s) receive after killing him!
    int mana;
    int gold;
    int level;
    int range;
};

class CNpcInfo
{
public:
       CNpcInfo();
       int id;
       std::string name;
       std::string text;
       
       std::string yesno;
       
       std::string yestext;
       std::string notext;
       
       int quest_idnum;
       int set_quest_idnum;
       std::string quest_text;
};

#endif

